Bug 1303671 - ospd7 deployment, puppet fails at ControllerOvercloudServicesDeployment_Step6
ospd7 deployment, puppet fails at ControllerOvercloudServicesDeployment_Step6
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: Steve Linabery
Shai Revivo
: Automation, AutomationBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 10:59 EST by Steve Linabery
Modified: 2016-10-09 23:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-09 23:11:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snippet from heat-engine.log (73.76 KB, text/plain)
2016-02-01 11:01 EST, Steve Linabery
no flags Details

  None (edit)
Description Steve Linabery 2016-02-01 10:59:55 EST
Khaleesi virthost installation fails heat overcloud deployment.

There is this upstream bug:
https://bugs.launchpad.net/heat/+bug/1493858

but I believe that was fixed in this upstream commit:
https://git.openstack.org/cgit/openstack/heat/commit/?id=edd2f8f0aca14f225e441dd3efbfa1cce7a859b4

which is included in the build environment, i.e.:
openstack-heat-engine-2015.1.2-7.el7ost.noarch

Stacktrace in attached file (too long to paste in comment).
Comment 2 Steve Linabery 2016-02-01 11:01 EST
Created attachment 1120170 [details]
snippet from heat-engine.log
Comment 4 Zane Bitter 2016-02-01 13:38:40 EST
This log message (which always appears every time you deploy an overcloud) is not the problem.

The problem is Puppet:

overcloud-ControllerNodesPostDeployment-golm7xhbo7fq-ControllerOvercloudServicesDeployment_Step6-zouaobps2sy4): Resource CREATE failed: Error: resources[0]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 6
Comment 5 Steve Linabery 2016-02-02 10:39:23 EST
I took ownership of this bug because it may be occurring because of a bug we found with rhos-release, related bz here https://bugzilla.redhat.com/show_bug.cgi?id=1303321
Comment 6 Mike Burns 2016-04-07 17:07:13 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 8 Jaromir Coufal 2016-10-09 23:11:28 EDT
Obsolete, please re-open if reproducable.

Note You need to log in before you can comment on or make changes to this bug.